window.addEventListener('load', function() {
   document.getElementById("fullscreen").addEventListener("click", OnFullScreen, false);
}, false);

document.addEventListener("fullscreenchange", ToggleFullScreen);
document.addEventListener("webkitfullscreenchange", ToggleFullScreen);

var _canvas = {};
function OnFullScreen() {
   var c = document.getElementsByTagName("canvas")[0];
   (c.requestFullscreen || c.webkitRequestFullScreen || c.mozRequestFullScreen).call(c);
}

function ToggleFullScreen(event) {
   console.log(document.webkitIsFullScreen || document.mozFullScreen || document.msFullscreenElement);
   var c = document.getElementsByTagName("canvas")[0];
   if (!(document.webkitIsFullScreen || document.mozFullScreen || document.msFullscreenElement)) {
      c.width = _canvas.width;
      c.height = _canvas.height;
      gl.viewport(0, 0, c.width, c.height);
   }
   else {
      _canvas.width = c.width;
      _canvas.height = c.height;
      c.width = window.screen.width;
      c.height = window.screen.height;
      gl.viewport(0, 0, c.width, c.height);
      (c.requestFullscreen || c.webkitRequestFullScreen || c.mozRequestFullScreen).call(c);
   }
}